Skip to content
View as Markdown

GET Get Contact Support Tickets​

GET
/subscribers/{id}/support-tickets

Retrieve support tickets for a contact from a specific support ticket provider. The data is fetched via the fluentcrm-get_support_tickets_{provider} filter hook. Also returns column configuration for rendering the ticket table.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Query Parameters

provider*

The support ticket provider identifier (e.g., fluent-support).

Type
string
Required

Responses​

Support tickets data with column configuration.

application/json
JSON
{
"tickets": {
"data": [
{
}
],
"total": 0,
"columns_config": {
"id": {
"label": "string",
"width": "string"
},
"status": {
"label": "string",
"width": "string"
},
"Submitted at": {
"label": "string",
"width": "string"
},
"action": {
"label": "string",
"width": "string"
}
}
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI